//
function fRecalcular(){
	var mes=gv("Mes");
	var ani=gv("Ani");
	if(jL(mes)==0){
		alert("Seleccione un mes");
		return;
	}
	if(mes=="TODOS"){
		alert("Seleccione un mes (ENERO - DICIEMBRE)");
		return;
	}
	if(jL(ani)==0){
		alert("Seleccione un aأ±o");
		return;
	}
	if(ani=="TODOS"){
		alert("Seleccione un aأ±o");
		return;
	}
	sv("TXT_CAL","S");
	fFiltrar();
}
//
function fProyectar(id){
	var dia=gv("CBO_"+id);
	if(jL(dia)==0){
		alert("Seleccione un dia");
		jF("CBO_"+id);
		return;
	}
	var d=AX("PROYECTAR",id,dia);
	var r=d.split("|");
	if(r[1]=="OK"){
		document.getElementById("TD_DIA_"+id).innerHTML=r[2];
		document.getElementById("TD_TOT_"+id).innerHTML=r[3];
		document.getElementById("TD_DIF_"+id).innerHTML=r[4];
		alert("Proceso completado");
	}else{
		alert("Error de conexion");
	}
}
//
function fProyectarEX(id){
    document.getElementById("CBO_"+id).value=G_DIA
	document.getElementById("CBO_"+id).focus();
	var d=AX("PROYECTAR",id,G_DIA);
	var r=d.split("|");
	if(r[1]=="OK"){
		document.getElementById("TD_DIA_"+id).innerHTML=r[2];
		document.getElementById("TD_TOT_"+id).innerHTML=r[3];
		document.getElementById("TD_DIF_"+id).innerHTML=r[4];
		return true;
	}else{
		return false;
	}
}
//
function KALCULAR(){
	G_CUR++;
	if(G_CUR<=G_CAN){
		document.getElementById("DivEstado").innerHTML="Proyectando "+G_CUR+" de "+G_CAN;
		if(fProyectarEX(G_LIS[G_CUR])){
			window.setTimeout(KALCULAR,100);
		}else{
			F_B();
			document.getElementById("DivEstado").innerHTML="";
			alert("Error en proceso de proyectar");
		}
	}else{
		F_B();
		document.getElementById("DivEstado").innerHTML="";
		alert("Proyecciones finalizadas");
	}
}
//+++
function fProyectarTodos(){
	if(confirm("Esta seguro que desea proyectar todos?")){
		var lis_dat=gv("LIS_DAT");
		var lis_can=gv("LIS_CAN");
		var dia=gv("CboDia");
		document.getElementById("DivEstado").innerHTML="";
		
		if(jVal(dia)==0){
			alert("Seleccione un dia");
			jF("CboDia");
			return;
		}
		if(jVal(lis_can)==0){
			alert("Cero items por procesar");
			return;
		}
		var dat=lis_dat.split(",");
		G_DIA=dia;
		G_CAN=0;
		G_CUR=0;
		var j=0;
		for(j=0;j<jVal(lis_can);j++){
			G_CAN++
			G_LIS[G_CAN]=dat[j];
		}
		F_A();
		window.setTimeout(KALCULAR,100);
	}
}
//
function F_A(){
	document.getElementById("CmdK").disabled=true;
	document.getElementById("CboDia").disabled=true;
	document.getElementById("CmdPT").disabled=true;
}
function F_B(){
	document.getElementById("CmdK").disabled=false;
	document.getElementById("CboDia").disabled=false;
	document.getElementById("CmdPT").disabled=false;
}